# QWorld
## Overview
QWorld is a LaTeX package designed to simplify the drawing of complex diagrammatic calculations in monoidal category theory. This package provides a concise and intuitive set of commands, allowing users to efficiently render string diagrams with minimal effort. This package is particularly useful for researchers working in category theory, quantum theory, and related fields where diagrammatic reasoning plays a crucial role.
## Installation
Once the package is registered on CTAN, it can be installed using:
```
\usepackage{qworld}
```
Alternatively, to install manually:
1. Download the `.sty` file of the package.
2. Place it in your LaTeX working directory or a suitable location within your TeX distribution.
3. Add `\usepackage{qworld}` to the preamble of your document.
4. Run `texhash` if necessary to update the file database.

## Usage
Below is a basic example of how to use qworld
```
\documentclass{article}
\usepackage{qworld}
\begin{document}
    \begin{equation}
        \q{
            \qcap\qwire\n\qwire\qcup
        }=\q{
            \qwireup[vertical length=2]
        }
    \end{equation}
\end{document}
```
For more detailed usage instructions, refer to the package documentation.
## License
This package is distributed under the [LaTeX Project Public License (LPPL)](https://www.latex-project.org/lppl.txt), version 1.3c or later.
## Copyright
© 2025 Niina Ryota

This Package consists of the following files:
- `qworld.sty` (the main package file)
- `qworld.pdf` (documentation)

The current maintainer of this package is **Niina Ryota**.
## Modification Policy
Under the terms of the LPPL:
- Any modifications must **not** be distributed under the original package name.
- Any modified versions must clearly state that they are derived from this package.
- The original author (Niina Ryota) must always be credited in derived works.

## Contact
Author: Niina Ryota
Email: qworld-package@googlegroups.com

## Version History
* v1.0.0 (2025-03-31): Initial release.
## Contributions
Bug reports, feature requests, and contributions are welcome. Please contact qworld-package@googlegroups.com for inquires or to submit issues.
